{% extends "main.html" %}
{% load cms_tags %}
{% load render_table from django_tables2 %}
{% load bootstrap4 %}
{% block title %}{{publication.title}}{% endblock title %}

 {% block js %}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
{% endblock js %}

    {% block content %}
<h3>Metadata</h3>
<table class="table">
    <tr><td>Date</td><td>{{publication.date}}</td></tr>
     <tr><td>title</td><td>{{publication.title}}</td></tr>
     <tr><td>doi</td><td>{{publication.doi}}</td></tr>
     <tr><td>url</td><td><a href="{{publication.url}}">{{publication.url}}</a></td></tr>
</table>


<h3>Collections</h3>
<table>
    {% for c in publication.collection_set.all %}
    <tr><td><a href="{% url 'publications:collectionView' c.pk %}">{{c}}</a></td></tr>
    {% endfor %}
</table>
<h3> Attached pdfs</h3>
<table class="table">
{% for pdf in pdfs %}
{% if pdf.file.url %}
    <tr><td><a target="_blank" href="{{pdf.file.url}}">PDF</a></td><td> {{pdf.file.original_filename}} </td></tr>
{% endif %}
{% endfor %}
</table>

<h3> Attachments - Links</h3>
<table class="table">
{% for atm in attachments %}
    <tr><td><a target="_blank" href="{{atm.file.url}}">{{atm.type_of_text.name}}</a></td><td> {{atm.updated_at}}</a></td></tr>
{% endfor %}
</table>

<h3> Attachments - Text</h3>
<table class="table">
{% for atm in atms_texts %}
    <tr><td>{{atm.type}}</td><td>{{atm.updated_at}}</td><td><textarea cols="200" rows="20">{{atm.txt}}</textarea></td></tr>
{% endfor %}
</table>
 {% endblock content %}